summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorCecil <knoppmyth@gmail.com>2012-04-09 04:45:11 (GMT)
committerCecil <knoppmyth@gmail.com>2012-04-09 04:45:11 (GMT)
commitf32a0b1f9c4ebcae37cab8d8ffc5b90b55a63a73 (patch)
treed2b3c9a01755941fb730b9ec04e926a6da7bd105 /abs
parentee01e37d0775a4720f2a6d0e093507bef1c3f266 (diff)
downloadlinhes_pkgbuild-f32a0b1f9c4ebcae37cab8d8ffc5b90b55a63a73.zip
linhes_pkgbuild-f32a0b1f9c4ebcae37cab8d8ffc5b90b55a63a73.tar.gz
linhes_pkgbuild-f32a0b1f9c4ebcae37cab8d8ffc5b90b55a63a73.tar.bz2
crystalhd-git:Bumped version to 20111227.
Diffstat (limited to 'abs')
-rw-r--r--abs/extra/crystalhd-git/PKGBUILD28
1 files changed, 18 insertions, 10 deletions
diff --git a/abs/extra/crystalhd-git/PKGBUILD b/abs/extra/crystalhd-git/PKGBUILD
index 538c0ae..a7b3e7f 100644
--- a/abs/extra/crystalhd-git/PKGBUILD
+++ b/abs/extra/crystalhd-git/PKGBUILD
@@ -2,24 +2,24 @@
# Maintainer: Petteri Tolonen <petteri.tolonen[at]gmail.com>
pkgname=crystalhd-git
-pkgver=`date +%Y%m%d`
+pkgver=20111227
pkgrel=1
-pkgdesc="Broadcom Crystal HD kernel module from git.wilsonet.com"
+pkgdesc="Broadcom CrystalHD kernel module"
arch=('i686' 'x86_64')
-url="http://git.wilsonet.com/crystalhd.git/"
+url="http://linuxtv.org/git/jarod/crystalhd.git"
license=('GPL2')
-depends=()
-makedepends=('autoconf' 'kernel26-headers>=2.6.32.9' 'make' 'git')
-conflicts=('crystalhd')
+depends=('libcrystalhd-git')
+makedepends=('autoconf' 'make' 'git')
install='crystalhd-git.install'
-_gitroot='git://git.wilsonet.com/crystalhd.git'
+conflicts=('crystalhd')
+_gitroot='git://linuxtv.org/jarod/crystalhd.git'
_gitname='crystalhd'
build() {
cd $startdir/src
- msg "Connecting to git.wilsonet.com GIT server...."
+ msg "Connecting to the GIT server...."
if [ -d $startdir/src/$_gitname ] ; then
cd $_gitname && git pull origin
@@ -33,12 +33,20 @@ build() {
autoconf
./configure --prefix=/usr
- make KDIR=/lib/modules/2.6.34-LinHES/build || return 1
+ sed -i 's/'-Werror'/''/g' Makefile
+
+ if ! grep -q "<linux/delay.h>" $srcdir/crystalhd/driver/linux/crystalhd_flea_ddr.c
+ then
+ sed -i '26i #include <linux/delay.h>' $srcdir/crystalhd/driver/linux/crystalhd_flea_ddr.c
+ fi
+
+ make || return 1
+
mkdir -p $pkgdir/etc/udev/rules.d
mkdir -p $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
cp -f 20-crystalhd.rules $pkgdir/etc/udev/rules.d/
install -d $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
install -m 0644 crystalhd.ko $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
-
}
+md5sums=()